LIBART-CONFIG(1)

NAME
libart-config - script to get information about the installed version of LIBART.

SYNOPSIS
libart-config [ --prefix[=DIR] ] [ --exec-prefix[=DIR] ] [ --libs ] [ --cflags ] [ --version ]

DESCRIPTION

libart-config is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use LIBART library.

OPTIONS

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that LIBART was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that LIBART was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

--libs
    Print the linker flags that are necessary to link a LIBART program.

--cflags
    Print the compiler flags that are necessary to compile a LIBART program.

--version
    Print the currently installed version of LIBART on the standard output.

AUTHOR

This manual page was written by Christian Marillat <marillat@debian.org> for the Debian GNU/Linux system (but may be used by others).